# Distro specific variables for Debian
---
named_default_python_version: "3"
named_packages:
  - "{{ (named_python_version == '3') | ternary('python3-netaddr', 'python-netaddr') }}"
  - "{{ (named_python_version == '3') | ternary('python3-dnspython', 'python-dnspython') }}"
  - bind9
  - bind9utils

named_service: bind9

# Main config file
named_config: /etc/bind/named.conf

# Localhost zone
named_default_zone_files:
  - /etc/bind/named.conf.default-zones

# Directory with run-time stuff
named_dir: /var/cache/bind
named_conf_dir: /etc/bind
named_auth_filename: auth_transfer.conf
named_auth_file: "{{ named_conf_dir }}/{{ named_auth_filename }}"

named_owner: root
named_group: bind

named_bindkeys_file: /etc/named.iscdlv.key
named_pid_file: /run/named/named.pid
named_session_keyfile: /run/named/session.key

# Custom location for zone files
named_zone_dir: "{{ named_dir }}"
named_secondary_dir: "{{ named_dir }}/secondary"
